#ifndef __TITLE_GEN_FEATURE_ENUMERATOR__
#define __TITLE_GEN_FEATURE_ENUMERATOR__

#include "hash_map.hpp"
#include "nlp_string.h"
#include "Features.h"

typedef hash_map <String, int>			NameToIndex_map_t;


class FeatureEnumerator 
{
		static NameToIndex_map_t	hmp_NameToFeature;
		static NameToIndex_map_t	hmp_TocNameToFeature;
		static String	arr_FeatureToName [FEATURE_COUNT];
		static String	arr_TocFeatureToName [FEATURE_COUNT];

	public:
		static void Init (void);
		static int NameToIndex (const char* _zName);
		static int TocNameToIndex (const char* _zName);
		static String IndexToName (int _iIndex);
		static String TocIndexToName (int _iIndex);
};


#endif
